﻿Option Strict On
Option Explicit On

Public Class frmStart
    Private m_result As Integer
    Private m_filename As String
    Private m_path As String
    Dim strMyDir As String = System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().Location)
    Public ReadOnly Property Result() As Integer
        Get
            Return m_result
        End Get
    End Property
    Public ReadOnly Property Path() As String
        Get
            Return m_path
        End Get
    End Property
    Public ReadOnly Property Filename() As String
        Get
            Return m_filename
        End Get
    End Property

    Private Sub btnOPEN_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOPEN.Click


        'FolderBrowserDialogクラスのインスタンスを作成
        Dim fbd As New FolderBrowserDialog

        '上部に表示する説明テキストを指定する
        fbd.Description = "フォルダを指定してください。"
        'ルートフォルダを指定する
        'デフォルトでDesktop
        fbd.RootFolder = Environment.SpecialFolder.Desktop


        '最初に選択するフォルダを指定する

        'RootFolder以下にあるフォルダである必要がある
        fbd.SelectedPath = strMyDir
        'ユーザーが新しいフォルダを作成できるようにする
        'デフォルトでTrue
        fbd.ShowNewFolderButton = True

        'ダイアログを表示する
        If fbd.ShowDialog(Me) = DialogResult.OK Then
            '選択されたフォルダを表示する
            txtpath.Text = fbd.SelectedPath
        End If

    End Sub
    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        m_result = 0
        Close()
    End Sub
    Private Sub btncancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btncancel.Click
        m_result = -1
        Close()
    End Sub
    Private Sub frmStart_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        txtpath.Text = strMyDir
        txtfilename.Text = "OX400_" & Format(Now, "ddMMyyyy_HHmm")
    End Sub
    Private Sub txtfl_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtpath.TextChanged
        m_path = txtpath.Text
    End Sub
    Private Sub txtfilename_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtfilename.TextChanged
        m_filename = txtfilename.Text & txtext.Text
    End Sub
End Class